import express from 'express'
import cookieSession from 'cookie-session'

import './config'
import { errorHandle } from './utils/error-handling'
import { router } from './routes'

const app = express()

const port = process.env.RED_CODER_BH_PORT

app.use(express.json())
app.use(cookieSession({ secret: process.env.COOKIE_SESSION }))

app.use(router)

app.use(errorHandle)
app.listen(port, () => {
    console.log(`listen on http://localhost:${port}`)
})
