import { MongoClient as MDBClient } from 'mongodb'

// Connection URL
const url = `mongodb://${process.env.MONGO_ADDR || 'localhost'}:27017`

const dbInstanses = {}
const mongoDBConnect = async () => {
    try {
        const MongoClient = new MDBClient(url)
        return await MongoClient.connect()
    } catch (error) {
        console.error(error)
    }
}

const getDB = async (dbName) => {
    try {
        const cl = await mongoDBConnect()
        dbInstanses[dbName] = await cl.db(dbName)
        return dbInstanses[dbName]
    } catch (error) {
        console.error(error)
    }
}

const mainDb = getDB('red-coder-bh')

export {
    getDB,
    mainDb
}
